package main

import (
	"fmt"
	"log"
	"os"
	"strconv"
)

func main() {
	if len(os.Args) != 2 {
		fmt.Printf("Insufficent arguments:\n")
		fmt.Printf("Usage: ./isEven 5\n")
		os.Exit(0)
	}
	num, err := strconv.Atoi(os.Args[1])
	if err != nil {
		log.Fatalf("Invalid number found: %v\n", err)
	}

	if s := isEven(num); s == true {
		fmt.Printf("El número %v es par\n", num)
	} else {
		fmt.Printf("El número %v es impar\n", num)
	}
}

func isEven(n int) bool {
	if n%2 == 0 {
		return true
	} else {
		return false
	}
}
